﻿using SlnMesnac.Config;
using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Repository.service.Impl
* 唯一标识：4775f606-89b8-4dba-88da-4920de3e1559
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-04-09 16:21:05
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Repository.service.Impl
{
    public class WmsOutStockServiceImpl : BaseServiceImpl<WmsRawOutstock>, IWmsOutStockService
    {
        public WmsOutStockServiceImpl(Repository<WmsRawOutstock> rep) : base(rep)
        {

           

        }

        /// <summary>
        /// 根据计划编号获取生产计划
        /// </summary>
        /// <param name="planCode"></param>
        /// <returns></returns>
        /// <exception cref="Exception"></exception>
        public WmsRawOutstock GetProdPlanByPlanCode(string planCode)
        {
            try
            {
                return base._rep.GetFirst(x => x.planCode == planCode && x.executeStatus!="2");
            }
            catch (Exception ex)
            {
                throw new InvalidOperationException($"根据计划编号获取生产计划异常：{ex.Message}");
            }
        }
    }
}
