﻿using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System.Collections.Generic;

namespace SlnMesnac.Repository.service
{
    /// <summary>
    /// 设备参数实时状态表服务接口
    /// </summary>
    public interface IDmsRealtimeStatusService : IBaseService<DmsRealtimeStatus>
    {
        /// <summary>
        /// 获取生产控制系统监听的所有设备参数状态列表
        /// </summary>
        /// <returns></returns>
        public List<DmsRealtimeStatus> GetAllList();

    }
}